﻿using System;
using System.Windows.Forms;

using TestClient.HelloService;

namespace TestClient
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.getMessageButton.Click += getMessageButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 메시지 구하기 버튼 클릭시 처리하기 - getMessageButton_Click(sender, e)

        /// <summary>
        /// 메시지 구하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void getMessageButton_Click(object sender, EventArgs e)
        {
            string sourceMessage = this.sourceMessageTextBox.Text.Trim();

            if(string.IsNullOrWhiteSpace(sourceMessage))
            {
                MessageBox.Show("소스 메시지를 입력해 주시기 바랍니다.");

                return;
            }

            this.targetMessageTextBox.Text = string.Empty;

            using(HelloServiceClient client = new HelloServiceClient("WSHttpBinding_IHelloService"))
            {
                string targetMessage = client.GetMessage(sourceMessage);

                this.targetMessageTextBox.Text = targetMessage;
            }
        }

        #endregion
    }
}